<?php 
/**
* Plugin Name: Frontend Submission Custom Plugin
* Description: This plugin contains extra custom functions.
* Author: PK
* Author URI: https://almostinevitable.com 
* Version: 0.1
*/


function pk_scripts() {

	//wp_enqueue_style( 'sass', plugin_dir_url( __FILE__ ) . 'css/main.css' );
	wp_enqueue_style( 'sass3', 'https://dl.dropboxusercontent.com/s/uqei847n1dvdyah/main.css' );
	//wp_enqueue_script( 'sass12', plugin_dir_url( __FILE__ ) . 'js/custom1.js' );

}
add_action( 'wp_enqueue_scripts', 'pk_scripts' );

//// required plugins 
require_once dirname( __FILE__ ) . '/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'ai__register_required_plugins' );

function ai__register_required_plugins() {
    
    $plugins = array(
        array(
            'name'      => 'Advanced Custom Fields (ACF)',
            'slug'      => 'advanced-custom-fields',
            'required'  => true,
        ),
        array(
            'name'      => 'ACF Columns',
            'slug'      => 'acf-columns',
            'required'  => false,
        ),
    );

    /*
     * Array of configuration settings. Amend each line as needed.
     *
     * TGMPA will start providing localized text strings soon. If you already have translations of our standard
     * strings available, please help us make TGMPA even better by giving us access to these translations or by
     * sending in a pull-request with .po file(s) with the translations.
     *
     * Only uncomment the strings in the config array if you want to customize the strings.
     */
    $config = array(
        'id'           => 'ai-extra',                 // Unique ID for hashing notices for multiple instances of TGMPA.
        'default_path' => '',                      // Default absolute path to bundled plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'parent_slug'  => 'plugins.php',            // Parent menu slug.
        'capability'   => 'manage_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.

    );

    tgmpa( $plugins, $config );
}
////end required plugins 

add_action('wp_head', 'add_acf_form_head');
function add_acf_form_head() {
    acf_form_head();
}

add_shortcode( 'frontend_form', 'display_frontend_form' );

function display_frontend_form() {
    ob_start(); 

    acf_form(array(
        'post_id'       => 'new_post',
        'post_title'    => true,
        'form' => true, 
        'new_post'      => array(
            'post_type'     => 'ai_review',
            'post_status'   => 'publish'
        ),
        'field_groups' => array(132),
        'submit_value'  => 'Submit Review'
    )); 
    ?>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
          var typingTimer;
          var typingDelay = 1500;
          var textField = document.getElementById('acf-field_647ed4bb031d1');
          var titleField = document.getElementById('acf-_post_title');
          
          textField.addEventListener('input', function() {
            clearTimeout(typingTimer);
            typingTimer = setTimeout(doneTyping, typingDelay);
          });

          function doneTyping() {
            var text = textField.value;
            titleField.value = text;
          }
        });
    </script>
    <?php 
    return ob_get_clean(); 
}


function custom_reviews_shortcode($atts) {

    $a = shortcode_atts( array(
        'limit' => 5,
    ), $atts );

    $query_args = array(
        'post_type' => 'ai_review',
        'posts_per_page' => $a['limit'],
        'orderby' => 'date',
        'order' => 'DSC'
    );

    $query = new WP_Query($query_args);

    if ($query->have_posts()) {

        $output = '<div class="dd-module_review"><ul class="testimonial-archive">';

        while ($query->have_posts()) {
            $query->the_post();
            $name = get_field('name_field');
            $phone_number = get_field('phone_number');
            $phone = str_replace(["-", " "], "", $phone_number);
            $name_parts = explode(" ", $name);
                if(count($name_parts) > 1) {
                    $name_first = $name_parts[0];
                    $name_last = substr($name_parts[1], 0, 1);
                } else {
                    $name_last = "";
                }
            $name_ini = substr($name, 0, 1);
            $output .= '
            <li class="dd-module_review">
                <div class="dd-module_review review-details">
                    <h3><span class="namename">
                        '.$name_first.' '.$name_last.'
                    </span></h3>
                    <a class="dd-module_phone" href="tel:'.$phone.'" target="_self">'.$phone_number.'</a>
                </div>
            </li>';
            }

        $output .= '</ul></div>';

        wp_reset_postdata();

        return $output;

    } else {

        return 'No reviews found.';

    }

}
add_shortcode('custom_reviews', 'custom_reviews_shortcode');
